Package org.codehaus.groovy.vmplugin.v7

# Enum IndyInterface.CallType

java.lang.Object
java.lang.Enum<IndyInterface.CallType>
org.codehaus.groovy.vmplugin.v7.IndyInterface.CallType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<IndyInterface.CallType>`, `java.lang.constant.Constable`

Enclosing class:
  IndyInterface

    public static enum IndyInterface.CallType
    extends java.lang.Enum<IndyInterface.CallType>

Enum for easy differentiation between call types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CAST` | Cast invocation type
  `GET` | Get property invocation type
  `INIT` | Constructor invocation type
  `METHOD` | Method invocation type
  `SET` | Set property invocation type

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static IndyInterface.CallType` | `fromCallSiteName​(java.lang.String callSiteName)` |
  `java.lang.String` | `getCallSiteName()` | Returns the name of the call site type
  `static IndyInterface.CallType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static IndyInterface.CallType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### METHOD

    public static final IndyInterface.CallType METHOD
    Method invocation type

  - ### INIT

    public static final IndyInterface.CallType INIT
    Constructor invocation type

  - ### GET

    public static final IndyInterface.CallType GET
    Get property invocation type

  - ### SET

    public static final IndyInterface.CallType SET
    Set property invocation type

  - ### CAST

    public static final IndyInterface.CallType CAST
    Cast invocation type

- ## Method Details

  - ### values

    public static IndyInterface.CallType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IndyInterface.CallType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCallSiteName

    public java.lang.String getCallSiteName()
    Returns the name of the call site type

  - ### fromCallSiteName

    public static IndyInterface.CallType fromCallSiteName​(java.lang.String callSiteName)